"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactCodemirror = require("react-codemirror2");

require("codemirror/mode/diff/diff");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DiffLang = props => {
  const data = props.data;
  const optionsDiff = {
    mode: 'diff',
    lineNumbers: true,
    tabSize: 2,
    lineWrapping: true,
    readOnly: data.readOnly ? data.readOnly : false,
    styleActiveLine: true,
    addModeClass: true
  };
  return /*#__PURE__*/_react.default.createElement(_reactCodemirror.UnControlled, {
    className: data.class ? data.class : null,
    value: data.value ? data.value : null,
    options: optionsDiff
  });
};

var _default = DiffLang;
exports.default = _default;